Bug 1123722 - 'rpmbuild -bs' segmentation fault on a possibly broken .spec
Summary: 'rpmbuild -bs' segmentation fault on a possibly broken .spec
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 06:29 UTC by Ales Kozumplik
Modified: 2014-10-04 03:26 UTC (History)
4 users (show)

Fixed In Version: rpm-4.11.3-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-19 09:58:36 UTC


Attachments (Terms of Use)
core (1.55 MB, application/octet-stream)
2014-07-28 06:29 UTC, Ales Kozumplik
no flags Details
.spec triggering the segv (29.53 KB, text/x-rpm-spec)
2014-07-28 06:30 UTC, Ales Kozumplik
no flags Details
used source file (354.13 KB, application/x-xz)
2014-07-28 06:31 UTC, Ales Kozumplik
no flags Details

Description Ales Kozumplik 2014-07-28 06:29:13 UTC
Attaching all information I find relevant. The 'rpmbuild -bs' works fine if the following section is removed:

%package
Requires:	pyliblzma

Comment 1 Ales Kozumplik 2014-07-28 06:29:46 UTC
Created attachment 921691 [details]
core

Comment 2 Ales Kozumplik 2014-07-28 06:30:26 UTC
Created attachment 921692 [details]
.spec triggering the segv

Comment 3 Ales Kozumplik 2014-07-28 06:31:02 UTC
Created attachment 921693 [details]
used source file

Comment 4 Fedora Update System 2014-09-08 06:56:22 UTC
rpm-4.11.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rpm-4.11.3-1.fc20

Comment 5 Fedora Update System 2014-09-09 22:05:11 UTC
Package rpm-4.11.3-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpm-4.11.3-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10325/rpm-4.11.3-1.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-09-16 07:49:53 UTC
rpm-4.11.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rpm-4.11.3-1.fc19

Comment 7 Fedora Update System 2014-09-19 09:58:36 UTC
rpm-4.11.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-10-04 03:26:55 UTC
rpm-4.11.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.